from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XRangeSelectionListener(XEventListener, Protocol):
    def done(self, aEvent: RangeSelectionEvent) -> None: ...
    def aborted(self, aEvent: RangeSelectionEvent) -> None: ...
